########### START OF SCRIPT ###################

if($args.length -eq 5){
    $SOURCE=$args[0]      # original apk file
    $CODE=$args[1]        # version code
    $NAME=$args[2]        # version name
    $KEY=$args[3]         # keystore
    $PASS=$args[4]        # password
}else{
   echo "ERRO:converter.ps1 <source.apk> <versionCode> <versionName> <key.store> <password>"
   exit(1)
}

while($true){
    echo "Package:$SOURCE"
    echo "VersionCone:$CODE"
    echo "VersionName:$NAME"
    echo "Key:$KEY"
    echo "Password:$PASS"
    $ANSWER = Read-Host "OK? [Y/n]"
 
    switch($ANSWER){
      Y {
        $TARGET=$SOURCE.Remove($SOURCE.IndexOf('.apk'))
        $MANIFEST="AndroidManifest.xml"
        $CURRENTDIR=Get-Location

        apktool d -s $SOURCE $TARGET

        $XML = Get-Content $TARGET\$MANIFEST
        $NEW_XML = [regex]::Replace($XML,"<manifest","<manifest android:versionCode=`"$CODE`" android:versionName=`"$NAME`"") 
        [regex]::Replace($NEW_XML,"android:debuggable=`"true`"","") | Out-File  $TARGET\$MANIFEST -encoding UTF8

        apktool b $TARGET bind.apk

        jarsigner -keystore $KEY -storepass $PASS -signedjar signed.apk bind.apk myalias

        if( ! (Test-Path new_apk) ){
            New-Item new_apk -type Directory
        }
        zipalign 4 signed.apk new_apk\$SOURCE

        Remove-Item $TARGET -force -recurse
        Remove-Item bind.apk 
        Remove-Item signed.apk
        exit(0);
      }

     n { exit(0); }

     default { break; }

    }
}
############### END OF SCRIPT ###############